org.apache.fop.layoutmgr

## Class LayoutManagerMapping.PageNumberLayoutManagerMaker

- java.lang.Object
- - org.apache.fop.layoutmgr.LayoutManagerMapping.Maker
  - - org.apache.fop.layoutmgr.LayoutManagerMapping.PageNumberLayoutManagerMaker

Enclosing class:
  LayoutManagerMapping

    public static class LayoutManagerMapping.PageNumberLayoutManagerMaker
    extends LayoutManagerMapping.Maker

a layout manager maker

### Constructor Summary

Constructors
Constructor and Description
`PageNumberLayoutManagerMaker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `make(FONode node, List lms, FOUserAgent userAgent)` Create a layout manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageNumberLayoutManagerMaker

    public PageNumberLayoutManagerMaker()

### Method Detail

#### make

    public void make(FONode node,
                     List lms,
                     FOUserAgent userAgent)

Create a layout manager.

Overrides:
  `make` in class `LayoutManagerMapping.Maker`
Parameters:
  `node` - the associated FO node
  `lms` - a list of layout managers to which new manager is to be added